## 必要条件
※2022年2月時点で確認済みの条件
Node.js: v14.16.0 ・・・14系動作確認済み
yarn: 1.22.4

## フォルダ構成

```
├── src                 ・・・開発用ソースを格納するディレクトリ
│    ├── images          ・・・画像ファイルを格納するディレクトリ
│    │   └── common     ・・・共通で使用する画像ファイルを格納するディレクトリ
│    │   └── index      ・・・indexページの画像ファイルを格納するディレクトリ
│    │   └── 各ページごとにフォルダを作成する
│    ├── js              ・・・jsファイルを格納するディレクトリ
│    │   ├── bundle.js    ・・・メインでコンパイルされるjsファイル
│    │   ├── common.js    ・・・各ページ共通のjsファイル
│    │   └── fade.js      ・・・フェードインの挙動専用jsファイル
│    └── styles          ・・・スタイルシートを格納するディレクトリ
│        ├── foundation  ・・・サイト全体に関連するscssを格納するディレクトリ
│        │   ├── _base.scss     ・・・基本設定のscssを記述。基本的に変更しない
│        │   ├── _mixin.scss    ・・・mixinのscssを記述
│        │   ├── _reset.scss    ・・・リセットscss。基本的に変更しない
│        │   └── _variable.scss ・・・色、使用フォント、z-indexなどを記述したscss
│        ├── layout  ・・・サイト全体で使用するパーツなどに関連するscssを格納するディレクトリ
│        │   ├── _l-base.scss     ・・・制作するサイト全体で共通する部分のscssを記述
│        │   ├── _l-header.scss    ・・・headerのscssを記述
│        │   └── _l-footer.scss    ・・・footerのscssを記述
│        └── object
│            ├── component  ・・・共通パーツのscssを格納するディレクトリ
│            │   ├── _c-btn.scss     ・・・サイトで共通するボタンに関連するscssを記述
│            │   ├── _c-content.scss    ・・・コンテンツ関連のscssを記述
│            │   └── _c-section.scss    ・・・セクションで共通するscssを記述
│            └── project  ・・・制作するページのscssを格納するディレクトリ
├── /wp-content/themes/theme  ・・・テーマファイルを格納するディレクトリ
│         ├── index.php ・・・トップページ用ファイル
│         ├── header.php ・・・ヘッダーファイル
│         ├── footer.php ・・・フッターファイル
│         ├── page-about.php ・・・固定ページサンプルファイル
│         ├── archive.php ・・・アーカイブページファイル
│         ├── single.php ・・・投稿ページファイル
│         ├── 404.php ・・・404ページファイル
│         ├── functions.php ・・・初期状態ではCSS、JS読み込みのみ記述
├── gulpfile.js
├── webpack.config.js
├── package.json
├── docker-compose.yml
├── .editorconfig
├── .eslintrc.js
├── .eslintignore
├── .stylelintrc.js
├── .prettirrc
├── .gitignore
└── ReadMe.md
```
