import smoothscroll from 'smoothscroll-polyfill';
import { isSp } from './sp';
smoothscroll.polyfill();
export function anchorLinkFn() {
	const scrollHeight = isSp() ? 40 : 120;
	window.addEventListener('DOMContentLoaded', () => {
		const anchorLinks = document.querySelectorAll('a[href^="#"]');
		const anchorLinksArr = Array.prototype.slice.call(anchorLinks);

		anchorLinksArr.forEach((link) => {
			link.addEventListener('click', (e) => {
				e.preventDefault();
				const targetId = link.hash;
				const targetElement = document.querySelector(targetId);
				const targetOffsetTop =
					window.pageYOffset + targetElement.getBoundingClientRect().top - scrollHeight;
				window.scrollTo({
					top: targetOffsetTop,
					behavior: 'smooth',
				});
			});
		});
	});
}
