import { isSp } from './sp.js';

export function fade() {
	const fadeFn = () => {
		const jsFade = document.querySelectorAll('.js-fade');

		const scrollHeight = isSp() ? 100 : 200;

		jsFade.forEach((self) => {
			const scroll = document.scrollingElement.scrollTop;
			const windowHeight = window.innerHeight;
			const targetElementTop = self.getBoundingClientRect().top;
			const position = targetElementTop + scroll + scrollHeight;
			if (scroll > position - windowHeight) {
				self.classList.add('is-active');
			}
		});
	};

	window.addEventListener('load', fadeFn);
	window.addEventListener('scroll', fadeFn);
}
