<?php

/**
 * Index Page
 *
 * @package WordPress
 */

?>

<?php get_header(); ?>
<main class="p-index">
	<!-- 画像出力の書き方 -->
	<!-- 基本2倍書き出しと併用/jpgとpngは適宜書き出しを分ける/lazyloadを付与する/altはできるだけ詳しく記載する -->
	<img src="data:image/gif;base64,R0lGODlhAQABAGAAACH5BAEKAP8ALAAAAAABAAEAAAgEAP8FBAA7" data-src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png" data-srcset="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png 1x,	<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png 2x" data-aspectratio="124/124" class="lazyload lazyload-img" alt="">

	<!-- SPとPCで画像を出し分ける書き方 -->
	<picture>
		<source srcset="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png" media="(max-width: 768px)">
		<img src="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png" srcset="<?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv.png 1x, <?php echo esc_url(get_template_directory_uri()); ?>/assets/images/index/fv@2x.png 2x" alt="" />
	</picture>

	<!-- ここからc-content-widthまで基本的なセクションの構成 -->
	<section class="about">
		<div class="c-content-padding">
			<div class="c-content-width">
				<!-- セクションを跨いでの共通部品はcomponentで定義します -->
				<h2 class="c-section__ttl">セクションタイトル</h2>
				<h3 class="c-section__sub-ttl">セクションサブタイトル</h3>
			</div>
		</div>
	</section>


	<!-- 外部リンクaタグは別タブで開くよう設定/ rel="noopener noreferrer"をつける" -->
	<a href="https://xxx.com" target="_blank" rel="noopener noreferrer"></a>
</main>


<?php
get_footer();
?>
